Bug 185860 - [PATCH] mail/postfix: Update to 2.11.0
Summary: [PATCH] mail/postfix: Update to 2.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-18 10:10 UTC by Yasuhiro Kimura
Modified: 2014-01-21 01:20 UTC (History)
0 users

See Also:


Attachments
patch-postfix (20.77 KB, text/plain)
2014-01-18 10:10 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2014-01-18 10:10:01 UTC
	
	- Update mail/postfix to 2.11.0, and add LMDB option.
	- Copy mail/postfix to mail/postfix210 and update to 2.10.3.
	- Update mail/postfix2[789] to latest versions.
	- Mark mail/postfix27 as DEPRICATED and set EXPIRATION_DATE of 6 months.
	- Update CONFLICTS of each port.
	- Convert LIB_DEPENDS to new format.
	- Fix warning of 'make index' on 10.0 or newer.
	- Pet portlint about order of PKGNAMESUFFIX.

Fix: Before applying attached patch, please exec following commands:

	% cd /usr/ports
	% svn copy mail/postfix mail/postfix210
Comment 1 Edwin Groothuis freebsd_committer 2014-01-18 10:10:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sahil Tandon freebsd_committer 2014-01-20 21:46:29 UTC
State Changed
From-To: open->analyzed

Thanks, already working on this; will incorporate what I can from your 
PR.
Comment 3 dfilter service freebsd_committer 2014-01-21 01:17:52 UTC
Author: sahil
Date: Tue Jan 21 01:17:43 2014
New Revision: 340538
URL: http://svnweb.freebsd.org/changeset/ports/340538
QAT: https://qat.redports.org/buildarchive/r340538/

Log:
  - Update to 2.7.16
  - Mark DEPRECATED [1]
  - Adopt new LIB_DEPENDS syntax [1]
  - Pet portlint(1) on PKGNAMESUFFIX placement [1]
  - Respect upstream Makefile's warning suppression [2]
  
  PR:		[1]: ports/185860
  
  Submitted by:	[1]: Yasuhiro KIMURA <yasu@utahime.org>
  		[2]: koobs (via email)

Modified:
  head/mail/postfix27/Makefile
  head/mail/postfix27/distinfo

Modified: head/mail/postfix27/Makefile
==============================================================================
--- head/mail/postfix27/Makefile	Tue Jan 21 01:17:35 2014	(r340537)
+++ head/mail/postfix27/Makefile	Tue Jan 21 01:17:43 2014	(r340538)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.7.15
+PORTVERSION=	2.7.16
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -11,8 +11,8 @@ MASTER_SITES=	ftp://ftp.porcupine.org/mi
 		ftp://ftp.samurai.com/pub/postfix/official/ \
 		${MASTER_SITE_RINGSERVER:S,%SUBDIR%,net/mail/postfix/official/&,}
 MASTER_SITE_SUBDIR=	. old related/postfix
-DIST_SUBDIR=	${PORTNAME}
 PKGNAMESUFFIX=	27
+DIST_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
@@ -22,9 +22,12 @@ LICENSE_NAME=	IBM PUBLIC LICENSE VERSION
 LICENSE_FILE=	${WRKSRC}/LICENSE
 LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
+DEPRECATED=		No longer supported by upstream
+EXPIRATION_DATE=	2014-07-30
+
 VDAVERSION=	2.7.13
-CONFLICTS=	courier-0.* postfix-1.* postfix2[89]-* \
-		postfix-2.10.* postfix-base-2.10.* postfix-current-2.* \
+CONFLICTS=	courier-0.* postfix-1.* postfix2[89]-* postfix21?-* \
+		postfix-2.* postfix-base-2.* postfix-current-2.* \
 		postfix-current-base-2.* sendmail-8.* sendmail+*-8.* \
 		smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
@@ -98,7 +101,8 @@ MAKEFILEFLAGS+=	DEBUG=
 
 MAKEFILEFLAGS+=	CC="${CC}" OPT="${CFLAGS}"
 
-POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
+POSTFIX_CCARGS+=	\$$(WARN) \
+			-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
 			-DDEF_DAEMON_DIR=\\\"${DAEMONDIR}\\\" \
 			-DDEF_COMMAND_DIR=\\\"${PREFIX}/sbin\\\" \
 			-DDEF_SENDMAIL_PATH=\\\"${PREFIX}/sbin/sendmail\\\" \
@@ -116,7 +120,7 @@ POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${
 _REQUIRE=		LOGIN cleanvar
 
 .if ${PORT_OPTIONS:MPCRE}
-LIB_DEPENDS+=		pcre:${PORTSDIR}/devel/pcre
+LIB_DEPENDS+=		libpcre.so:${PORTSDIR}/devel/pcre
 POSTFIX_CCARGS+=	-DHAS_PCRE -I${LOCALBASE}/include
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lpcre
 .else
@@ -124,7 +128,7 @@ POSTFIX_CCARGS+=	-DNO_PCRE
 .endif
 
 .if ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 POSTFIX_CCARGS+=	-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I${LOCALBASE}/include -I${LOCALBASE}/include/sasl
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lsasl2 -lpam -lcrypt
 .endif
@@ -144,7 +148,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libkrb5.so:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -155,7 +159,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		libspf2.so:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.7.1-libspf2-1.2.x-4.patch.gz

Modified: head/mail/postfix27/distinfo
==============================================================================
--- head/mail/postfix27/distinfo	Tue Jan 21 01:17:35 2014	(r340537)
+++ head/mail/postfix27/distinfo	Tue Jan 21 01:17:43 2014	(r340538)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.7.15.tar.gz) = d58acafd1b14270f0f071be7b89971e7b6a9a57243db9c008cf491c6e687a1d1
-SIZE (postfix/postfix-2.7.15.tar.gz) = 3421435
+SHA256 (postfix/postfix-2.7.16.tar.gz) = ce96e415cbf699bde5cf699ac8d4242c880a68233a7b809dad6a5896c3bf94bb
+SIZE (postfix/postfix-2.7.16.tar.gz) = 3421793
 SHA256 (postfix/postfix-2.7.1-libspf2-1.2.x-4.patch.gz) = b67efb1ffbcae91f13bf3ed90a5181d4b5bc86ebe15753eaf9db8b2278f5bb16
 SIZE (postfix/postfix-2.7.1-libspf2-1.2.x-4.patch.gz) = 8186
 SHA256 (postfix/postfix-vda-v10-2.7.13.patch) = aaefb45cec8744c9cd211c87ef5fa779519f459a986d354e11fe1c9a05f1c624
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2014-01-21 01:18:02 UTC
Author: sahil
Date: Tue Jan 21 01:17:51 2014
New Revision: 340539
URL: http://svnweb.freebsd.org/changeset/ports/340539
QAT: https://qat.redports.org/buildarchive/r340539/

Log:
  - Update to 2.8.17
  - Adopt new LIB_DEPENDS syntax [1]
  - Pet portlint(1) on PKGNAMESUFFIX placement [1]
  - Modify shell command to quiet warnings on 10+ [2]
  - Respect upstream Makefile's warning suppression [3]
  
  PR:		[1]: ports/185860
  		[2]: ports/185857
  
  Submitted by:	[1]: Yasuhiro KIMURA <yasu@utahime.org>
  		[2]: adamw
  		[3]: koobs (via email)

Modified:
  head/mail/postfix28/Makefile
  head/mail/postfix28/distinfo

Modified: head/mail/postfix28/Makefile
==============================================================================
--- head/mail/postfix28/Makefile	Tue Jan 21 01:17:43 2014	(r340538)
+++ head/mail/postfix28/Makefile	Tue Jan 21 01:17:51 2014	(r340539)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.8.16
+PORTVERSION=	2.8.17
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -11,8 +11,8 @@ MASTER_SITES=	ftp://ftp.porcupine.org/mi
 		ftp://ftp.samurai.com/pub/postfix/official/ \
 		${MASTER_SITE_RINGSERVER:S,%SUBDIR%,net/mail/postfix/official/&,}
 MASTER_SITE_SUBDIR=	. old related/postfix
-DIST_SUBDIR=	${PORTNAME}
 PKGNAMESUFFIX=	28
+DIST_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
@@ -23,8 +23,8 @@ LICENSE_FILE=	${WRKSRC}/LICENSE
 LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 VDAVERSION=	2.8.14
-CONFLICTS=	courier-0.* postfix-1.* postfix2[79]-* \
-		postfix-2.10.* postfix-base-2.10.* postfix-current-2.* \
+CONFLICTS=	courier-0.* postfix-1.* postfix2[79]-* postfix21?-* \
+		postfix-2.* postfix-base-2.* postfix-current-2.* \
 		postfix-current-base-2.* sendmail-8.* sendmail+*-8.* \
 		smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
@@ -92,7 +92,7 @@ HTML1=	body_checks.5.html bounce.5.html 
 	scache.8.html tlsmgr.8.html
 
 .if !defined(BATCH) && !defined(PACKAGE_BUILDING) && exists(/etc/mail/mailer.conf)
-OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || true
+OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || ${ECHO_CMD}
 .if !empty(OLD_MAILER)
 IS_INTERACTIVE=	yes
 .endif
@@ -108,7 +108,8 @@ MAKEFILEFLAGS+=	DEBUG=
 
 MAKEFILEFLAGS+=	CC="${CC}" OPT="${CFLAGS}"
 
-POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
+POSTFIX_CCARGS+=	\$$(WARN) \
+			-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
 			-DDEF_DAEMON_DIR=\\\"${DAEMONDIR}\\\" \
 			-DDEF_COMMAND_DIR=\\\"${PREFIX}/sbin\\\" \
 			-DDEF_SENDMAIL_PATH=\\\"${PREFIX}/sbin/sendmail\\\" \
@@ -126,7 +127,7 @@ POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${
 _REQUIRE=		LOGIN cleanvar
 
 .if ${PORT_OPTIONS:MPCRE}
-LIB_DEPENDS+=		pcre:${PORTSDIR}/devel/pcre
+LIB_DEPENDS+=		libpcre.so:${PORTSDIR}/devel/pcre
 POSTFIX_CCARGS+=	-DHAS_PCRE -I${LOCALBASE}/include
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lpcre
 .else
@@ -134,7 +135,7 @@ POSTFIX_CCARGS+=	-DNO_PCRE
 .endif
 
 .if ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 POSTFIX_CCARGS+=	-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I${LOCALBASE}/include -I${LOCALBASE}/include/sasl
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lsasl2 -lpam -lcrypt
 .endif
@@ -154,7 +155,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libkrb5.so:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -165,7 +166,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		libspf2.so:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -213,7 +214,7 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 .endif
 POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif

Modified: head/mail/postfix28/distinfo
==============================================================================
--- head/mail/postfix28/distinfo	Tue Jan 21 01:17:43 2014	(r340538)
+++ head/mail/postfix28/distinfo	Tue Jan 21 01:17:51 2014	(r340539)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.8.16.tar.gz) = 1a8d98ada1aec92a6b4901b2e9e448fe02d55dab3ca50543cd1fb118fd339b49
-SIZE (postfix/postfix-2.8.16.tar.gz) = 3643279
+SHA256 (postfix/postfix-2.8.17.tar.gz) = 54342cabf6a731c931c8950ab8fefa189b4607e3bce517f294d5bdd3e6fd646a
+SIZE (postfix/postfix-2.8.17.tar.gz) = 3643766
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191
 SHA256 (postfix/postfix-vda-v10-2.8.14.patch) = 04ee708e9532ae7d04460992927e47de7f1a7ea29b8d91ae5f87725653bfae43
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2014-01-21 01:18:19 UTC
Author: sahil
Date: Tue Jan 21 01:17:59 2014
New Revision: 340540
URL: http://svnweb.freebsd.org/changeset/ports/340540
QAT: https://qat.redports.org/buildarchive/r340540/

Log:
  - Update to 2.9.9
  - Adopt new LIB_DEPENDS syntax [1]
  - Pet portlint(1) on PKGNAMESUFFIX placement [1]
  - Modify shell command to quiet warnings on 10+ [2]
  - Respect upstream Makefile's warning suppression [3]
  
  PR:		[1]: ports/185860
  		[2]: ports/185857
  
  Submitted by:	[1]: Yasuhiro KIMURA <yasu@utahime.org>
  		[2]: adamw
  		[3]: koobs (via email)

Modified:
  head/mail/postfix29/Makefile
  head/mail/postfix29/distinfo

Modified: head/mail/postfix29/Makefile
==============================================================================
--- head/mail/postfix29/Makefile	Tue Jan 21 01:17:51 2014	(r340539)
+++ head/mail/postfix29/Makefile	Tue Jan 21 01:17:59 2014	(r340540)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.9.8
+PORTVERSION=	2.9.9
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -11,8 +11,8 @@ MASTER_SITES=	ftp://ftp.porcupine.org/mi
 		ftp://ftp.samurai.com/pub/postfix/official/ \
 		${MASTER_SITE_RINGSERVER:S,%SUBDIR%,net/mail/postfix/official/&,}
 MASTER_SITE_SUBDIR=	. old related/postfix
-DIST_SUBDIR=	${PORTNAME}
 PKGNAMESUFFIX=	29
+DIST_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	sahil@FreeBSD.org
 COMMENT=	Secure alternative to widely-used Sendmail
@@ -23,8 +23,8 @@ LICENSE_FILE=	${WRKSRC}/LICENSE
 LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 VDAVERSION=	2.9.6
-CONFLICTS=	courier-0.* postfix-1.* postfix2[78]-* \
-		postfix-2.10.* postfix-base-2.10.* postfix-current-2.* \
+CONFLICTS=	courier-0.* postfix-1.* postfix2[78]-* postfix21?-* \
+		postfix-2.* postfix-base-2.* postfix-current-2.* \
 		postfix-current-base-2.* sendmail-8.* sendmail+*-8.* \
 		smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
@@ -92,7 +92,7 @@ HTML1=	body_checks.5.html bounce.5.html 
 	scache.8.html tlsmgr.8.html
 
 .if !defined(BATCH) && !defined(PACKAGE_BUILDING) && exists(/etc/mail/mailer.conf)
-OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || true
+OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || ${ECHO_CMD}
 .if !empty(OLD_MAILER)
 IS_INTERACTIVE=	yes
 .endif
@@ -108,7 +108,8 @@ MAKEFILEFLAGS+=	DEBUG=
 
 MAKEFILEFLAGS+=	CC="${CC}" OPT="${CFLAGS}"
 
-POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
+POSTFIX_CCARGS+=	\$$(WARN) \
+			-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
 			-DDEF_DAEMON_DIR=\\\"${DAEMONDIR}\\\" \
 			-DDEF_COMMAND_DIR=\\\"${PREFIX}/sbin\\\" \
 			-DDEF_SENDMAIL_PATH=\\\"${PREFIX}/sbin/sendmail\\\" \
@@ -126,7 +127,7 @@ POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${
 _REQUIRE=		LOGIN cleanvar
 
 .if ${PORT_OPTIONS:MPCRE}
-LIB_DEPENDS+=		pcre:${PORTSDIR}/devel/pcre
+LIB_DEPENDS+=		libpcre.so:${PORTSDIR}/devel/pcre
 POSTFIX_CCARGS+=	-DHAS_PCRE -I${LOCALBASE}/include
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lpcre
 .else
@@ -134,7 +135,7 @@ POSTFIX_CCARGS+=	-DNO_PCRE
 .endif
 
 .if ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 POSTFIX_CCARGS+=	-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I${LOCALBASE}/include -I${LOCALBASE}/include/sasl
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lsasl2 -lpam -lcrypt
 .endif
@@ -154,7 +155,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libkrb5.so:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -165,7 +166,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		libspf2.so:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -213,7 +214,7 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 .endif
 POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif

Modified: head/mail/postfix29/distinfo
==============================================================================
--- head/mail/postfix29/distinfo	Tue Jan 21 01:17:51 2014	(r340539)
+++ head/mail/postfix29/distinfo	Tue Jan 21 01:17:59 2014	(r340540)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.9.8.tar.gz) = 8b67005a9095d68feaf04b50da37545ac1036a2f1cd2c5226f759359fcf46488
-SIZE (postfix/postfix-2.9.8.tar.gz) = 3769844
+SHA256 (postfix/postfix-2.9.9.tar.gz) = 9fbd8d19573e9aa6fd79268b74e5a48764752d878d84d22a0415f6677065ec90
+SIZE (postfix/postfix-2.9.9.tar.gz) = 3770303
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191
 SHA256 (postfix/postfix-vda-v11-2.9.6.patch) = 5dc94fca86501351e8c01360aa16c1cf49a363253e4076662d0103d3d431d309
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Sahil Tandon freebsd_committer 2014-01-21 01:19:19 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!